Index: test/test_layer.py
===================================================================
RCS file: /thubanrepository/thuban/test/test_layer.py,v
retrieving revision 1.32
diff -r1.32 test_layer.py
35a36
> from Thuban.Model.color import Color
232a234,236
>         self.failIf(layer.HasMask())
>         self.failIf(layer.UseMask())
>         self.assertEquals(layer.MaskColor(), None)
240a245,256
>         info = layer.ImageInfo()
>         self.failIf(info is None)
>         self.failUnless(info.has_key("nBands"))
>         self.failUnless(info.has_key("Size"))
>         self.failUnless(info.has_key("Driver"))
>         self.failUnless(info.has_key("BandData"))
> 
>         self.assertEquals(info["nBands"], 1)
>         self.assertEquals(info["Size"], (5002, 394))
>         self.assertEquals(info["Driver"], "GTiff")
>         self.assertEquals(info["BandData"], [(0.0, 140.0)])
> 
382a399,401
>     def build_path(self, filename):
>         return os.path.join("..", "Data", "iceland", filename)
> 
434a454,513
>     def test_raster_layer(self):
>         if not Thuban.Model.resource.has_gdal_support():
>             raise support.SkipTest("No gdal support")
> 
> 
>         filename = self.build_path("island.tif")
>         layer = RasterLayer("Test RasterLayer", filename)
> 
>         layer.Subscribe(LAYER_CHANGED, self.subscribe_with_params,
>                         LAYER_CHANGED)
> 
>         color = Color(1,1,1)
> 
>         layer.SetMaskColor(color)
>         self.failIf(layer.UseMask())
>         self.assertEquals(color, layer.MaskColor())
>         self.check_messages([(layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         layer.SetMaskColor(color, True)
>         self.failIf(not layer.UseMask())
>         self.check_messages([(layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         layer.SetMaskColor(None)
>         self.failIf(layer.UseMask())
>         self.assertEquals(None, layer.MaskColor())
>         self.check_messages([(layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         layer.SetMaskColor(color, False)
>         self.failIf(layer.UseMask())
>         self.check_messages([(layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         # if the arguments are the same, there should be no message
>         layer.SetMaskColor(color, False)
>         self.failIf(layer.UseMask())
>         self.check_messages([])
>         self.clear_messages()
> 
>         layer.SetMaskColor(None, True)
>         self.failIf(layer.UseMask())
>         self.assertEquals(None, layer.MaskColor())
>         self.check_messages([(layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         layer.SetMaskColor(color)
>         layer.SetMaskColor(None, False)
>         self.failIf(layer.UseMask())
>         self.assertEquals(None, layer.MaskColor())
>         self.check_messages([(layer, LAYER_CHANGED), (layer, LAYER_CHANGED)])
>         self.clear_messages()
> 
>         layer.SetMaskColor(color)
>         layer.SetMaskColor(None)
>         self.failIf(layer.UseMask())
>         self.assertEquals(None, layer.MaskColor())
>         self.check_messages([(layer, LAYER_CHANGED), (layer, LAYER_CHANGED)])
>         self.clear_messages()
